Description

When setting up a fresh instance of FLOW3 it is not really needed to migrate the DB through all steps. A simple create is a lot faster.
To easily mark the DB as fully migrated a new command is needed:

./flow3 doctrine:migrationversion all --add

The "all" will then actas on all available migrations.

Associated revisions
Revision f53be7ac - 2011-12-20 16:17 - Karsten Dambekalns

[FEATURE] Command to mark all migrations as executed

It is now possible to mark all migrations as (not) executed with
 ./flow3 doctrine:migrationversion all --delete
 ./flow3 doctrine:migrationversion all --add

Change-Id: Ie157d48350f7868e73f5dc419dfdbce297c9e1f7
Resolves: #32631
Releases: 1.1

History
#1 - 2011-12-16 17:16 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7318

#2 - 2011-12-20 16:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7318

#3 - 2012-01-18 03:26 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f53be7acc8707652a6d76a8dc302601ffd35d15c.
